Subject: Re: bug#56528: 29.0.50; Emacs lucid segfaults when X dies

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Jul 2022 10:18:08 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 14 Jul 2022 14:26:58 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The reason seems to be that the selected-frame wasn't changed to be a
> > valid usable frame.
> 
> Right, but under daemon mode, shouldn't `delete_frame' eventually select
> the initial frame?

I don't think so.  That frame is not a real frame, it cannot be used
for anything real.

> > But I wonder how the above is different from simply crashing.
> 
> When there are multiple terminals, it allows suriving the disconnect of
> a single terminal.

I very much doubt that any such "solution" can survive the code churn
we have every day.  IMNSHO, we shouldn't try.